<?php

namespace Drupal\gift_aid\Form;

use Drupal\Core\Entity\ContentEntityDeleteForm;

/**
 * Provides a form for deleting gift aid entities.
 *
 * @ingroup gift_aid
 */
class DeleteForm extends ContentEntityDeleteForm {

  /**
   * {@inheritdoc}
   */
  public function getDescription() {
    return $this->t('<b>**WARNING**</b> This will destroy the audit trail and should only be done if it was created by a staff error and has never been used to claim Gift Aid.');
  }

}
