<?php

namespace Drupal\gift_aid\Form\Evidence;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for Evidence edit forms.
 *
 * @ingroup gift_aid
 */
class EvidenceForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;
    $status = parent::save($form, $form_state);
    $this->messenger()->addStatus($this->t('Evidence %label has been added.', ['%label' => $entity->label()]));
    $form_state->setRedirectUrl($entity->toUrl());
    return $status;
  }

}
