<?php

namespace Drupal\gift_aid\Plugin\Field;

use Drupal\Core\Field\FieldItemList;
use Drupal\Core\TypedData\ComputedItemListTrait;

/**
 * A computed field item list for gift aid declaration status.
 *
 * @todo implement CacheableDependencyInterface
 */
class DeclarationStatusItemList extends FieldItemList {


  use ComputedItemListTrait;

  /**
   * {@inheritdoc}
   */
  public function computeValue() {
    $this->list[0] = $this->createItem(0, [
      'value' => $this->getEntity()->getStatus(),
    ]);
  }

}
